//Source file: DataSessionException.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Data Session Control abstract exception
 *
 */
public class DataSessionException extends java.lang.Exception {

    private Throwable _cause = null;

    public DataSessionException() {
        super(); 
    }

    public DataSessionException(String message) {
        super(message); 
    }

    public DataSessionException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public DataSessionException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // DataSessionException

