//Source file: NotificationListener.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * This interface is to be implemented for receiving events issued by the Notification activity object.<BR>
 *
 */
public interface NotificationListener extends java.util.EventListener {

   /**
    * Called due to a Gateway initiated call to the reportNotification() method on
    * the callback interface.
    *
    * @param  reportNotificationEvent  Reference to a ReportNotificationEvent event
    *        emmited from the impl or activity object.
    */
    void onReportNotificationEvent(org.csapi.jr.se.dsc.ReportNotificationEvent reportNotificationEvent);


}
