//Source file: DataSessionNotificationInterruptedEvent.java
//Date: September 2004
//Data Session Control Interfaces and Data Types for 3GPP TS 29.198-08 V5.7.0

package org.csapi.jr.se.dsc;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the dataSessionNotificationInterrupted() method on the callback interface 
 * has occured.<BR>
 *
 */
public final class DataSessionNotificationInterruptedEvent extends java.util.EventObject {

    /**
     * Constructor for the DataSessionNotificationInterruptedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public DataSessionNotificationInterruptedEvent(java.lang.Object source) {

        super(source);
 
    }

}

